Audit

List audit events

GET
/audit/events

List your tenant's immutable operation events. Requires an admin.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

from?string

Filter or parameter: from.

Formatdate-time
to?string

Filter or parameter: to.

Formatdate-time
domain?string

Filter or parameter: domain.

operation_key?string

Filter or parameter: operation_key.

entity_type?string

Filter or parameter: entity_type.

entity_id?string

Filter or parameter: entity_id.

actor_id?string

Filter or parameter: actor_id.

Formatuuid
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/audit/events"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "sequence": 0,      "operation_key": "spaces.get",      "entity_type": "space",      "entity_id": "123e4567-e89b-42d3-a456-426614174000",      "actor_id": "123e4567-e89b-42d3-a456-426614174000",      "actor": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "email": "ada@example.com",        "name": "Customer documents",        "image_url": "example"      },      "actor_type": "api",      "credential_id": "123e4567-e89b-42d3-a456-426614174000",      "origin_kind": "example",      "origin_id": "example",      "space_id": "123e4567-e89b-42d3-a456-426614174000",      "payload": {},      "created_at": "2026-09-04T12:00:00Z",      "event_hash": "3f786850e387550fdab836ed7e6dc881de23001b3f786850e387550fdab836ed"    }  ],  "next_cursor": null}